EDIT - bug #9346

Adding specimen to character matrix fails sometimes
12/04/2020 01:32 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal Found in Version:

Description

There are two issues:

1. the SourceDTO is not serializable
2. LIE

IMESSAGE An error occurred.
(click on the

ENTRY org.eclipse.ed.ui.workbench 4 0 2020-12-04 12:14:13.239
Please contact EDIT Support (EditSupport@bgbm.org) with the error trace below
1s' button).

!'STACK 0
java.lang.Exception:

'Detai

last remote method http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remot
ing/descriptivedataset.service
last remote request client time
04 Dec 2020 12:14:11 GMT client error time
version 5.18.0.202012031648 server test.e-taxonomy.eu (edit-test) / rem_conf_am schema version
5.18.6.0.20201124 os Windows Server 2012 R2 6.3 amd64 Jjava 1.8.0_121

org.eclipse.ed.core.di.InjectionException: org.springframework.orm.hibernateb5.HibernateSystemExcep
tion: could not initialize proxy - no Session; nested exception is org.hibernate.LazyInitializatio
could not - no Session

ed.
ed.
ed.
ed.

2020-12-04T12:14:11.847 last remote request response header time

Fri, 2020-12-04T12:14:11.925 login admin editor

nException:
at org.
at org.
at org.
at org.eclipse.

initialize proxy

eclipse. core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)

eclipse. core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

eclipse. core.internal.di.InjectorImpl.invoke (InjectorImpl. java:247)

core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90
at

a:57)
at
at
at
at
at
at
at
at
at
at

org.eclipse.ed.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
org. ui.
org. ed.

eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:38)

eclipse. internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

eclipse. ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)
sun.reflect.GeneratedMethodAccessorl58.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)

eclipse.ed. internal.di.MethodRequestor.execute (MethodRequestor. java:55)
eclipse.ed. di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
eclipse.ed. di.InjectorImpl.invoke (InjectorImpl. java:264)

e4d.

org.
org.
org.
org.

core.
core.internal.
core.internal.

eclipse. core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:13

at org ed. .commands.
152)
at org.
at org.
488)

at org.

java:210)

.eclipse. core internal.HandlerServiceHandler.execute (HandlerServiceHandler.j
ava:
eclipse.

eclipse.

core.commands.Command.executeWithChecks (Command. java:494)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:

eclipse.ed.core.commands.internal.HandlerServicelImpl.executeHandler (HandlerServiceImpl.

at org.
butionItem.
at org

eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem(HandledContri
Java:433)

.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab

stractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

Caused by: org.springframework.orm.hibernate5.HibernateSystemException: could not initialize proxy
- no Session; nested exception is org.hibernate.LazyInitializationException: could not initialize
proxy — no Session

at org.springframework.orm.hibernateb.SessionFactoryUtils.convertHibernateAccessException (Sess
ionFactoryUtils. java:296)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.convertHibernateAccessExcept
ion (HibernateTransactionManager. java:755)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:590)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:765)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager. java:734)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfter
Returning (TransactionAspectSupport.java:522)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:293)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxy739.addRowWrapperToDataset (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:333)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocati
onTraceInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxyl089.addRowWrapperToDataset (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemotelInvocation. java:212)

at eu.etaxonomy.cdm.api.remoting.DebuggingRemoteInvocationExecutor.invoke (DebuggingRemotelInvoc
ationExecutor. java:52)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:80)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:967)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:901)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:970)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:872)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet.java:846)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder$SNotAsyncServlet.service (ServletHolder.java:1395)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:755)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1617)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:317)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:127)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:331)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:137)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:170)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:331)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:63)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:215)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:331)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:110)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:331)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:66)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:331)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter.java:105)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:56)
at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:331)
at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:177)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j
ava:347)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler. java:1604)

at eu.etaxonomy.cdm.servlet.DateHeaderFilter.doFilter (DateHeaderFilter. java:55)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1604)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:197)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1596)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:545)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:590)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:235)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1607)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:233)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1297)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:188)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler.java:485)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler.java:1577)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler.java:186)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1212)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at eu.etaxonomy.cdm.server.logging.InstanceLogWrapper.handle (InstanceLogWrapper.java:47)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:221)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at org.eclipse.jetty.server.Server.handle (Server. java:500)

at org.eclipse. jetty.server.HttpChannel.lambda$handle$1l (HttpChannel. java:383)

at org.eclipse.jetty.server.HttpChannel.dispatch (HttpChannel. java:547)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:375)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:270)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:311)

at org.eclipse.jetty.io.FillInterest.fillable(FillInterest. java:103)

at org.eclipse.jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:117)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.runTask (EatWhatYouKill. java:336)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce (EatWhatYouKill. java:313)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.tryProduce (EatWhatYouKill. java:171)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run (EatWhatYouKill. java:129)

at org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run (ReservedThreadExecu
tor.java:388)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:806)

at org.eclipse.jetty.util.thread.QueuedThreadPool$Runner.run (QueuedThreadPool. java:938)

at java.lang.Thread.run (Thread. java:748)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils.java:45)

at org.springframework.remoting. support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemotelInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor.java:158)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxy6l.addRowlWrapperToDataset (Unknown Source)

at eu.etaxonomy.taxeditor.editor.descriptiveDataSet.matrix.CharacterMatrix.addSpecimensToDescr
iptiveDataSet (CharacterMatrix. java:939)

at eu.etaxonomy.taxeditor.editor.descriptiveDataSet.matrix.CharacterMatrixPart.save (CharacterM
atrixPart.java:202)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

... 47 more
Caused by: org.hibernate.LazyInitializationException: could not initialize proxy - no Session

at org.hibernate.proxy.AbstractlLazyInitializer.initialize (AbstractLazyInitializer.java:147)

at org.hibernate.Hibernate.initialize (Hibernate. java:60)

at eu.etaxonomy.cdm.hibernate.HibernateProxyHelper.deproxy (HibernateProxyHelper. java:61)

at eu.etaxonomy.cdm.model.common.CdmBase.deproxy (CdmBase.java:310)

at eu.etaxonomy.cdm.persistence.hibernate.CdmPreDataChangelistener.generateCaches (CdmPreDataCh
angelListener.java:108)

at eu.etaxonomy.cdm.persistence.hibernate.CacheStrategyGenerator.saveOrUpdateOrMerge (CacheStra
tegyGenerator. java:47)

at eu.etaxonomy.cdm.persistence.hibernate.CacheStrategyGenerator.onSaveOrUpdate (CacheStrategyG
enerator. java:32)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl.java:651)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:643)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:423)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:348)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:136)

at org.hibernate.event.internal.AbstractSaveEventListener.cascadeBeforeSave (AbstractSaveEventL
istener.java:414)

at org.hibernate.event.internal.AbstractSaveEventListener.performSaveOrReplicate (AbstractSaveE
ventListener.java:252)

at org.hibernate.event.internal.AbstractSaveEventListener.performSave (AbstractSaveEventListene
r.java:182)

at org.hibernate.event.internal.AbstractSaveEventListener.saveWithGeneratedId (AbstractSaveEven
tListener.java:125)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.saveWithGeneratedOrRequestedl
d(DefaultSaveOrUpdateEventListener. java:192)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsTransient (DefaultSave
OrUpdateEventListener.java:177)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:97)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl.java:651)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:643)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:423)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:348)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:456)

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:388)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:351)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:136)

at org.hibernate.event.internal.AbstractSaveEventListener.cascadeAfterSave (AbstractSaveEventLi
stener. java:445)

at org.hibernate.event.internal.AbstractSaveEventListener.performSaveOrReplicate (AbstractSavek
ventListener. java:281)

at org.hibernate.event.internal.AbstractSaveEventListener.performSave (AbstractSaveEventListene
r.java:182)

at org.hibernate.event.internal.AbstractSaveEventListener.saveWithGeneratedId (AbstractSaveEven
tListener. java:125)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.saveWithGeneratedOrRequestedlI
d(DefaultSaveOrUpdateEventListener.java:192)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsTransient (DefaultSave
OrUpdateEventListener.java:177)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa

04/11/2024 5/8




veOrUpdateEventListener. java:97)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl.java:651)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:643)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:423)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:348)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:456)

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:388)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:351)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:136)

at org.hibernate.event.internal.AbstractSaveEventListener.cascadeAfterSave (AbstractSaveEventLi
stener. java:445)

at org.hibernate.event.internal.AbstractSaveEventListener.performSaveOrReplicate (AbstractSavek
ventListener. java:281)

at org.hibernate.event.internal.AbstractSaveEventListener.performSave (AbstractSaveEventListene
r.java:182)

at org.hibernate.event.internal.AbstractSaveEventListener.saveWithGeneratedId (AbstractSaveEven
tListener. java:125)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.saveWithGeneratedOrRequestedlI
d(DefaultSaveOrUpdateEventListener.java:192)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsTransient (DefaultSave
OrUpdateEventListener.java:177)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:97)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:651)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:643)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:423)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:348)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade.java:456)

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:388)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:351)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:136)

at org.hibernate.event.internal.AbstractFlushingEventListener.cascadeOnFlush (AbstractFlushingE
ventListener.java:150)

at org.hibernate.event.internal.AbstractFlushingEventListener.prepareEntityFlushes (AbstractFlu
shingEventListener. java:141)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExecutions (Abst
ractFlushingEventListener. java:74)

at org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. ja
va:38)

at org.hibernate.internal.SessionImpl.flush (SessionImpl.java:1295)

at org.hibernate.internal.SessionImpl.managedFlush (SessionImpl. java:468)

at org.hibernate.internal.SessionImpl.flushBeforeTransactionCompletion (SessionImpl. java:3159)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl.java:2352)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:491)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.access$100 (JdbcResourcelocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordi
natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231
)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:582)

169 more
at
at
at
at
at
at
:1121)
at
at
022)
at
at
at
at
at
at
at
at

eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:284)

org

org.
org.
org.
org.

org

org.

org.
org.
org.
org.
org.

.eclipse.
eclipse.
eclipse.
eclipse.

.eclipse.

eclipse.

eclipse.

eclipse.
eclipse.
eclipse.
eclipse.
eclipse.

swt.widgets.RunnableLock.run (RunnablelLock. java:35)
swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)
swt.widgets.Display.runAsyncMessages (Display.java:4211)
swt.widgets.Display.readAndDispatch (Display. java:3827)
ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l

ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:20)

org
org

.eclipse
.eclipse

her.java:134)

at org.eclipse.

104)
at
at
at
at
at
at
at
at
at

org.
org.
sun.
sun.

sun

reflect
reflect

.reflect.

eclipse.
eclipse.

.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
.NativeMethodAccessorImpl.invokeO (Native Method)
.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main.java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

org.eclipse.equinox.launcher.Main.run(Main.java:1519)

Associated revisions

Revision c83d1ee7 - 01/25/2021 11:26 AM - Katja Luther

avoid NotSerializableException for SourceDto

History

#1 - 12/04/2020 02:23 PM - Andreas Miiller

- Description updated

The Problem occurred with unit ID 433 in rem_conf_am (Dianthella test Node; Germany, Berlin (MC 67)).

#2 - 12/04/2020 02:24 PM - Andreas Miiller
- Tags set to additivity

- Target version changed from Unassigned CDM tickets to Release 5.19

#3 - 01/27/2021 09:28 AM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

This is fixed.

#4 - 01/27/2021 09:28 AM - Katja Luther

- % Done changed from 0 to 60

#5 - 09/17/2021 09:23 PM - Andreas Miuller

- Priority changed from New to Highest

#6 - 09/17/2021 11:52 PM - Andreas Miuller

- Status changed from Resolved to Closed

- % Done changed from 60 to 100
| tried to add the test specimen again and it worked. So | guess the ticket is correctly fixed.
